Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QTextOption.WrapMode

    java.lang.Object
      java.lang.Enum<QTextOption.WrapMode>
          com.trolltech.qt.gui.QTextOption.WrapMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QTextOption.WrapMode>

Enclosing class:
  QTextOption

    public static enum QTextOption.WrapMode

extends java.lang.Enum<QTextOption.WrapMode>
implements QtEnumerator

This enum describes how text is wrapped in a document.

Enum Constant Summary
`ManualWrap` Wrapping occurs at a manually specified length from the start of the line.
`NoWrap` Text is not wrapped at all.
`WordWrap` Text is wrapped at word boundaries.
`WrapAnywhere` Text can be wrapped at any point on a line, even if it occurs in the middle of a word.
`WrapAtWordBoundaryOrAnywhere` If possible, wrapping occurs at a word boundary; otherwise it will occur at the appropriate point on the line, even in the middle of a word.

Method Summary
`static QTextOption.WrapMode` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextOption.WrapMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QTextOption.WrapMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoWrap

    public static final QTextOption.WrapMode NoWrap

  Text is not wrapped at all.

### WordWrap

    public static final QTextOption.WrapMode WordWrap

  Text is wrapped at word boundaries.

### ManualWrap

    public static final QTextOption.WrapMode ManualWrap

  Wrapping occurs at a manually specified length from the start of the line.

### WrapAnywhere

    public static final QTextOption.WrapMode WrapAnywhere

  Text can be wrapped at any point on a line, even if it occurs in the middle of a word.

### WrapAtWordBoundaryOrAnywhere

    public static final QTextOption.WrapMode WrapAtWordBoundaryOrAnywhere

  If possible, wrapping occurs at a word boundary; otherwise it will occur at the appropriate point on the line, even in the middle of a word.

Method Detail

### values

    public static final QTextOption.WrapMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QTextOption.WrapMode c : QTextOption.WrapMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QTextOption.WrapMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTextOption.WrapMode resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD